Data.Aeson.Types

# Core JSON types

data Value

type Array

emptyArray

type Pair

type Object

emptyObject

# Convenience types and functions

data DotNetTime

typeMismatch

# Type conversion

data Parser a

data Result a

class FromJSON a

fromJSON

parse

parseEither

parseMaybe

class ToJSON a

# Inspecting ``Value`s`

withObject

withText

withArray

withNumber

withBool

# Constructors and accessors

(.=)

(.:)

(.:?)

(.!=)

object